<?php

namespace Litecms\TicketInputing\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TicketInputingTransformer extends TransformerAbstract
{
    public function transform(\Litecms\TicketInputing\Models\TicketInputing $ticket_inputing)
    {
        return [
            'id'                => $ticket_inputing->getRouteKey(),
            'key'               => [
                'public'    => $ticket_inputing->getPublicKey(),
                'route'     => $ticket_inputing->getRouteKey(),
            ], 
            'bus_id'            => $ticket_inputing->bus_id,
            'journey_date'      => $ticket_inputing->journey_date,
            'ticket_seats'      => $ticket_inputing->ticket_seats,
            'description'       => $ticket_inputing->description,
            'user_id'           => $ticket_inputing->user_id,
            'user_type'         => $ticket_inputing->user_type,
            'url'               => [
                'public'    => trans_url('ticket_inputing/'.$ticket_inputing->getPublicKey()),
                'user'      => guard_url('ticket_inputing/ticket_inputing/'.$ticket_inputing->getRouteKey()),
            ], 
            'status'            => trans('app.'.$ticket_inputing->status),
            'created_at'        => format_date($ticket_inputing->created_at),
            'updated_at'        => format_date($ticket_inputing->updated_at),
        ];
    }
}