<?php

namespace Litecms\TicketInputing;

use User;

class TicketInputing
{
    /**
     * $ticket_inputing object.
     */
    protected $ticket_inputing;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\TicketInputing\Interfaces\TicketInputingRepositoryInterface $ticket_inputing)
    {
        $this->ticket_inputing = $ticket_inputing;
    }

    /**
     * Returns count of ticket_inputing.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.ticket_inputing.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->ticket_inputing->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\TicketInputingUserCriteria());
        }

        $ticket_inputing = $this->ticket_inputing->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('ticket_inputing::' . $view, compact('ticket_inputing'))->render();
    }
}
